Как загрузить старую версию пакета (перейти на более раннюю версию) в Ubuntu в несколько кликов

Загрузить предыдущую версию пакета в Ubuntu

Хотя обычно в официальных репозиториях Ubuntu есть программное обеспечение, которое уже хорошо протестировано, всегда есть вероятность, что мы обновим пакет, и оно может работать не так, как мы ожидали. Также может быть, что они вносят изменения, которые нам не нравятся, поэтому хорошей идеей может быть переустановка предыдущего пакета. Можно ли это сделать в Ubuntu? Да, и в этой статье мы покажем вам, как скачать старую версию используя вариант с графическим интерфейсом.

Но прежде чем продолжить, мы должны сообщить, что не все пакеты могут понизить рейтинг и что его можно загрузить только до версий, которые все еще доступны в официальных репозиториях; когда пройдет определенное время, и они удалят версию, ее больше нельзя будет загрузить, как мы собираемся объяснить здесь. И что это за программное обеспечение, которое позволит нам вносить эти изменения без использования терминала? Менеджер пакетов Synaptic.

Synaptic позволяет нам загружать старую версию пакета

Первое, что нам нужно сделать, если он еще не установлен, - это установить Synaptic. Для этого просто откройте центр программного обеспечения, выполните поиск по запросу «synaptic», установите пакет или терминал и введите «sudo apt install synaptic» без кавычек. После установки следующим шагом будет открытие диспетчера пакетов. Появится окно с информацией, которую нам придется принять; Если мы установим флажок, предупреждение появится снова, когда мы в следующий раз откроем диспетчер пакетов.

Открыв Synaptic, мы нажимаем на увеличительное стекло и ищем пакет, например Firefox примера. Теперь мы переходим в меню «Пакет» и выбираем «Принудительная версия ...».

Synaptics

Откроется окно, подобное следующему, в котором мы должны выберите желаемую версию. Как видите, на момент написания этой статьи мы могли выбирать между Firefox 95, наиболее обновленным, или 93, с которым Impish Indri поставлялся во время его запуска. Firefox 94 больше не находится в репозиториях, поэтому его нельзя установить этим методом.

Synaptics, выберите версию пакета

Для завершения нажмите «Применить». Но есть также необязательный шаг, который мы должны предпринять, если мы не хотим, чтобы пакет обновлялся в будущем: мы возвращаемся в меню «Пакет» и выбираем «Заблокировать версию». Таким образом мы избежим неприятных сюрпризов в будущем, но останемся без новостей.

И вот как мы можем загрузить старую версию пакета в Ubuntu. Является просто и легко запомнить, и это может избавить нас от головной боли.


Содержание статьи соответствует нашим принципам редакционная этика. Чтобы сообщить об ошибке, нажмите здесь.

Будьте первым, чтобы комментировать

Оставьте свой комментарий

Ваш электронный адрес не будет опубликован.

*

*

  1. Ответственный за данные: Мигель Анхель Гатон
  2. Назначение данных: контроль спама, управление комментариями.
  3. Легитимация: ваше согласие
  4. Передача данных: данные не будут переданы третьим лицам, кроме как по закону.
  5. Хранение данных: база данных, размещенная в Occentus Networks (ЕС)
  6. Права: в любое время вы можете ограничить, восстановить и удалить свою информацию.